auto-import changelog data from squid-2.3.STABLE4-9.7.src.rpm

Thu Jul 12 2001 Bill Nottingham <notting@redhat.com>
- build for 7.0 (security fix in accel_only_access patch)
Fri Mar 02 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
Tue Feb 06 2001 Trond Eivind Glomsrd <teg@redhat.com>
- improve i18n
- make the initscript use the standard OK/FAILED
Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- change i18n mechanism
Fri Jan 19 2001 Bill Nottingham <notting@redhat.com>
- fix path references in QUICKSTART (#15114)
- fix initscript translations (#24086)
- fix shutdown logic (#24234), patch from <jos@xos.nl>
- add /etc/sysconfig/squid for daemon options & shutdown timeouts
- three more bugfixes from the Squid people
- update FAQ.sgml
- build and ship auth modules (#23611)
Thu Jan 11 2001 Bill Nottingham <notting@redhat.com>
- initscripts translations
Mon Jan 08 2001 Bill Nottingham <notting@redhat.com>
- add patch to use mkstemp (greg@wirex.com)
Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils
Sat Nov 11 2000 Bill Nottingham <notting@redhat.com>
- fix the acl matching cases (only need the second patch)
Tue Nov 07 2000 Bill Nottingham <notting@redhat.com>
- add two patches to fix domain ACLs
- add 2 bugfix patches from the squid people
This commit is contained in:
cvsdist 2004-09-09 12:36:20 +00:00
parent 8d13385049
commit d0eb593269
4 changed files with 705 additions and 223 deletions

791
FAQ.sgml

File diff suppressed because it is too large Load Diff

View File

@ -27,50 +27,65 @@ export PATH
# check if the squid conf file is present # check if the squid conf file is present
[ -f /etc/squid/squid.conf ] || exit 0 [ -f /etc/squid/squid.conf ] || exit 0
if [ -f /etc/sysconfig/squid ]; then
. /etc/sysconfig/squid
else
SQUID_OPTS="-D"
SQUID_SHUTDOWN_TIMEOUT=100
fi
# determine the name of the squid binary # determine the name of the squid binary
[ -f /usr/sbin/squid ] && SQUID=squid [ -f /usr/sbin/squid ] && SQUID=squid
[ -z "$SQUID" ] && exit 0 [ -z "$SQUID" ] && exit 0
prog="$SQUID"
# determine which one is the cache_swap directory # determine which one is the cache_swap directory
CACHE_SWAP=`sed -e 's/#.*//g' /etc/squid/squid.conf | \ CACHE_SWAP=`sed -e 's/#.*//g' /etc/squid/squid.conf | \
grep cache_dir | awk '{ print $3 }'` grep cache_dir | awk '{ print $3 }'`
[ -z "$CACHE_SWAP" ] && CACHE_SWAP=/var/spool/squid [ -z "$CACHE_SWAP" ] && CACHE_SWAP=/var/spool/squid
# default squid options
# -D disables initial dns checks. If you most likely will not to have an
# internet connection when you start squid, uncomment this
SQUID_OPTS="-D"
RETVAL=0 RETVAL=0
start() { start() {
echo -n "Starting $SQUID: "
for adir in $CACHE_SWAP; do for adir in $CACHE_SWAP; do
if [ ! -d $adir/00 ]; then if [ ! -d $adir/00 ]; then
echo -n "init_cache_dir $adir... " echo -n "init_cache_dir $adir... "
$SQUID -z -F 2>/dev/null $SQUID -z -F 2>/dev/null
fi fi
done done
$SQUID $SQUID_OPTS & echo -n $"Starting $prog: "
$SQUID $SQUID_OPTS 2> /dev/null &
RETVAL=$? RETVAL=$?
echo $SQUID
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$SQUID [ $RETVAL -eq 0 ] && touch /var/lock/subsys/$SQUID
[ $RETVAL -eq 0 ] && echo_success
[ $RETVAL -ne 0 ] && echo_failure
echo
return $RETVAL return $RETVAL
} }
stop() { stop() {
echo -n "Stopping $SQUID: " echo -n $"Stopping $prog: "
$SQUID -k shutdown & $SQUID -k check >/dev/null 2>&1
RETVAL=$? RETVAL=$?
if [ $RETVAL -eq 0 ] ; then if [ $RETVAL -eq 0 ] ; then
$SQUID -k shutdown &
rm -f /var/lock/subsys/$SQUID rm -f /var/lock/subsys/$SQUID
timeout=0
while : ; do while : ; do
[ -f /var/run/squid.pid ] || break [ -f /var/run/squid.pid ] || break
if [ $timeout -ge $SQUID_SHUTDOWN_TIMEOUT ]; then
echo
return 1
fi
sleep 2 && echo -n "." sleep 2 && echo -n "."
timeout=$((timeout+2))
done done
echo "done" echo_success
echo
else else
echo echo_failure
echo
fi fi
return $RETVAL return $RETVAL
} }
@ -127,7 +142,7 @@ probe)
;; ;;
*) *)
echo "Usage: $0 {start|stop|status|reload|restart|condrestart}" echo $"Usage: $0 {start|stop|status|reload|restart|condrestart}"
exit 1 exit 1
esac esac

View File

@ -1,7 +1,7 @@
Summary: The Squid proxy caching server. Summary: The Squid proxy caching server.
Name: squid Name: squid
Version: 2.3.STABLE4 Version: 2.3.STABLE4
Release: 1 Release: 9.7
Serial: 6 Serial: 6
Copyright: GPL Copyright: GPL
Group: System Environment/Daemons Group: System Environment/Daemons
@ -9,18 +9,28 @@ Source: http://www.squid-cache.org/Squid/v2/squid-%{version}-src.tar.gz
Source1: http://www.squid-cache.org/Squid/FAQ/FAQ.sgml Source1: http://www.squid-cache.org/Squid/FAQ/FAQ.sgml
Source2: squid.init Source2: squid.init
Source3: squid.logrotate Source3: squid.logrotate
Source4: squid.sysconfig
Patch0: squid-2.1-make.patch Patch0: squid-2.1-make.patch
Patch1: squid-2.3-config.patch Patch1: squid-2.3-config.patch
Patch2: squid-perlpath.patch Patch2: squid-perlpath.patch
Patch3: squid-2.3.STABLE4-domainmatch.patch
Patch4: squid-mktemp.patch
Patch5: squid-location.patch
Patch10: squid-2.3.stable4-ftp_icon_not_found.patch Patch10: squid-2.3.stable4-ftp_icon_not_found.patch
Patch11: squid-2.3.stable4-internal_dns_rcode_table_formatting.patch Patch11: squid-2.3.stable4-internal_dns_rcode_table_formatting.patch
Patch12: squid-2.3.stable4-invalid_ip_acl_entry.patch
Patch13: squid-2.3.stable4-ipfw_configure.patch
Patch14: squid-2.3.stable4-accel_only_access.patch
Patch15: squid-2.3.stable4-carp-assertion.patch
Patch16: squid-2.3.stable4-html_quoting.patch
BuildRoot: /var/tmp/squid-root BuildRoot: /var/tmp/squid-root
Prereq: /sbin/chkconfig logrotate shadow-utils /etc/init.d Prereq: /sbin/chkconfig logrotate shadow-utils /etc/init.d
Requires: bash >= 2.0
BuildPrereq: jade sgml-tools BuildPrereq: jade sgml-tools
Obsoletes: squid-novm Obsoletes: squid-novm
%description %description
Squid is a high-performance proxy caching server for Web clients, Squid is a high-performance proxy caching server for web clients,
supporting FTP, gopher, and HTTP data objects. Unlike traditional supporting FTP, gopher, and HTTP data objects. Unlike traditional
caching software, Squid handles all requests in a single, caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process. Squid keeps meta data and especially non-blocking, I/O-driven process. Squid keeps meta data and especially
@ -31,15 +41,24 @@ Squid consists of a main server program squid, a Domain Name System
lookup program (dnsserver), a program for retrieving FTP data lookup program (dnsserver), a program for retrieving FTP data
(ftpget), and some management and client tools. (ftpget), and some management and client tools.
Install squid if you need a proxy caching server.
%prep %prep
%setup -q %setup -q
%patch0 -p1 -b .make %patch0 -p1 -b .make
%patch1 -p1 -b .config %patch1 -p1 -b .config
%patch2 -p1 %patch2 -p1 -b .perlpath
%patch3 -p1 -b .acl2
cd src
%patch4 -p0 -b .mktemp
cd ..
%patch5 -p1
%patch10 -p0 -b .ftp-icon %patch10 -p0 -b .ftp-icon
%patch11 -p0 -b .dns %patch11 -p0 -b .dns
%patch12 -p0 -b .ip_acl
%patch13 -p0 -b .config
%patch14 -p0 -b .accel_only
%patch15 -p0 -b .carp
%patch16 -p0 -b .html_quote
%build %build
%configure \ %configure \
@ -67,6 +86,20 @@ cp $RPM_SOURCE_DIR/FAQ.sgml faq
cd faq cd faq
sgml2html FAQ.sgml sgml2html FAQ.sgml
cd ..
cd auth_modules
cd LDAP
make
cd ../NCSA
make
cd ../PAM
make
cd ../SMB
make SAMBAPREFIX=%{prefix}
cd ../getpwnam
make
cd ../..
%install %install
rm -rf $RPM_BUILD_ROOT rm -rf $RPM_BUILD_ROOT
%makeinstall \ %makeinstall \
@ -76,6 +109,12 @@ rm -rf $RPM_BUILD_ROOT
libexecdir=$RPM_BUILD_ROOT/usr/lib/squid libexecdir=$RPM_BUILD_ROOT/usr/lib/squid
#install -m 4750 src/pinger $RPM_BUILD_ROOT/usr/lib/squid #install -m 4750 src/pinger $RPM_BUILD_ROOT/usr/lib/squid
install -m 755 auth_modules/PAM/pam_auth $RPM_BUILD_ROOT/usr/lib/squid
install -m 755 auth_modules/LDAP/squid_ldap_auth $RPM_BUILD_ROOT/usr/lib/squid
install -m 755 auth_modules/NCSA/ncsa_auth $RPM_BUILD_ROOT/usr/lib/squid
install -m 755 auth_modules/SMB/smb_auth $RPM_BUILD_ROOT/usr/lib/squid
install -m 755 auth_modules/getpwnam/getpwnam_auth $RPM_BUILD_ROOT/usr/lib/squid
cd errors cd errors
rm -rf $RPM_BUILD_ROOT/etc/squid/errors rm -rf $RPM_BUILD_ROOT/etc/squid/errors
mkdir -p $RPM_BUILD_ROOT/usr/lib/squid/errors mkdir -p $RPM_BUILD_ROOT/usr/lib/squid/errors
@ -89,8 +128,10 @@ ln -s /usr/lib/squid/errors/English $RPM_BUILD_ROOT/etc/squid/errors
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 755 $RPM_SOURCE_DIR/squid.init $RPM_BUILD_ROOT/etc/rc.d/init.d/squid install -m 755 $RPM_SOURCE_DIR/squid.init $RPM_BUILD_ROOT/etc/rc.d/init.d/squid
install -m 644 $RPM_SOURCE_DIR/squid.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/squid install -m 644 $RPM_SOURCE_DIR/squid.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/squid
install -m 644 $RPM_SOURCE_DIR/squid.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/squid
mkdir -p $RPM_BUILD_ROOT/var/log/squid mkdir -p $RPM_BUILD_ROOT/var/log/squid
mkdir -p $RPM_BUILD_ROOT/var/spool/squid mkdir -p $RPM_BUILD_ROOT/var/spool/squid
@ -113,6 +154,7 @@ rm -rf $RPM_BUILD_ROOT
/usr/lib/squid/icons /usr/lib/squid/icons
/usr/lib/squid/dnsserver /usr/lib/squid/dnsserver
/usr/lib/squid/unlinkd /usr/lib/squid/unlinkd
/usr/lib/squid/*_auth
#%attr(4750,root,squid) /usr/lib/squid/pinger #%attr(4750,root,squid) /usr/lib/squid/pinger
/usr/sbin/squid /usr/sbin/squid
/usr/sbin/client /usr/sbin/client
@ -230,6 +272,44 @@ if [ "$1" -ge "1" ] ; then
fi fi
%changelog %changelog
* Thu Jul 12 2001 Bill Nottingham <notting@redhat.com>
- build for 7.0 (security fix in accel_only_access patch)
* Fri Mar 2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
* Tue Feb 6 2001 Trond Eivind Glomsrød <teg@redhat.com>
- improve i18n
- make the initscript use the standard OK/FAILED
* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- change i18n mechanism
* Fri Jan 19 2001 Bill Nottingham <notting@redhat.com>
- fix path references in QUICKSTART (#15114)
- fix initscript translations (#24086)
- fix shutdown logic (#24234), patch from <jos@xos.nl>
- add /etc/sysconfig/squid for daemon options & shutdown timeouts
- three more bugfixes from the Squid people
- update FAQ.sgml
- build and ship auth modules (#23611)
* Thu Jan 11 2001 Bill Nottingham <notting@redhat.com>
- initscripts translations
* Mon Jan 8 2001 Bill Nottingham <notting@redhat.com>
- add patch to use mkstemp (greg@wirex.com)
* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils
* Sat Nov 11 2000 Bill Nottingham <notting@redhat.com>
- fix the acl matching cases (only need the second patch)
* Tue Nov 7 2000 Bill Nottingham <notting@redhat.com>
- add two patches to fix domain ACLs
- add 2 bugfix patches from the squid people
* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com> * Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- clean up init script; fix condrestart - clean up init script; fix condrestart
- update to STABLE4, more bugfixes - update to STABLE4, more bugfixes

8
squid.sysconfig Normal file
View File

@ -0,0 +1,8 @@
# default squid options
# -D disables initial dns checks. If you most likely will not to have an
# internet connection when you start squid, uncomment this
SQUID_OPTS="-D"
# Time to wait for Squid to shut down when asked. Should not be necessary
# most of the time.
SQUID_SHUTDOWN_TIMEOUT=100